#include <qapplication.h>
#include <qwidget.h>
#include <qpainter.h>


class MyWidget : public QWidget
{
public:
    MyWidget( QWidget *parent=0);
protected:
	void paintEvent(QPaintEvent *pev);
};


MyWidget::MyWidget( QWidget *parent)
        : QWidget( parent)
{
	
}

void MyWidget::paintEvent( QPaintEvent *)
{
	QString s;
	int y = height();
	int x = width();
	s.sprintf("x = %d y = %d",x,y);
        QPainter p( this );
	p.drawText(rect(),Qt::AlignCenter,s);
}


int main(int argc, char *argv[])
{
	QApplication app(argc, argv);

	MyWidget *w = new MyWidget();

	w->resize(280, 150);
	w->setWindowTitle("Example Qt2");
	w->show();

	return app.exec();
}
